Bug 846490 - [abrt] gnome-shell-3.4.1-5.fc17: g_file_info_list_attributes: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
[abrt] gnome-shell-3.4.1-5.fc17: g_file_info_list_attributes: Process /usr/bi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:6cf22ddcde4f84433b36b3007c4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 18:53 EDT by aten
Modified: 2013-08-01 02:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:57:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (63.65 KB, text/plain)
2012-08-07 18:53 EDT, aten
no flags Details
File: maps (80.12 KB, text/plain)
2012-08-07 18:53 EDT, aten
no flags Details
File: dso_list (19.94 KB, text/plain)
2012-08-07 18:53 EDT, aten
no flags Details
File: var_log_messages (22.09 KB, text/plain)
2012-08-07 18:53 EDT, aten
no flags Details

  None (edit)
Description aten 2012-08-07 18:53:18 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_file_info_list_attributes
executable:     /usr/bin/gnome-shell
kernel:         3.5.0-2.fc17.x86_64
pid:            16214
pwd:            /home/korneta
remote_result:  NOTFOUND
time:           Tue 07 Aug 2012 06:04:44 PM EDT
uid:            1001
username:       korneta

backtrace:      Text file, 65178 bytes
dso_list:       Text file, 20420 bytes
maps:           Text file, 82039 bytes
var_log_messages: Text file, 22625 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/korneta/55

comment:
:1. connect through nautilus to a network server through sftp.
:2. bookmark the connection in nautilus
:3. enable the onscreen keyboard through the the "universal access" icon on the top bar
:4. logout from gnome3 session
:5. try to login back
:6. Oh no! Something has gone wrong...
:
:I am not able to loging back untill I either remove the bookmark line from the ~/.gtk-bookmarks or clear the setting by deleting ~/.config/dconf/user file. 100% reroducible under various users on the same system. Works also if one manually adds some random string into .gtk-bbokmarks which starts with  "sftp:// " 

core_backtrace:
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0x4eb41 g_file_info_list_attributes libgio-2.0.so.0 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0x4626c - libgio-2.0.so.0 -
:63651cdc0224824a9c9324c77c3b5887378e871d 0x35a5e xmlNewInputFromFile libxml2.so.2 -
:63651cdc0224824a9c9324c77c3b5887378e871d 0x4eea0 xmlCtxtReadFile libxml2.so.2 -
:7eb10e81cf49360e21889663eb0672cdfa03bf12 0xcbf5 xkl_config_registry_load_from_file libxklavier.so.16 -
:7eb10e81cf49360e21889663eb0672cdfa03bf12 0xcd6c xkl_config_registry_load_helper libxklavier.so.16 -
:1ece4eb2f0a1af4529ae9f5bd8b2104601164a51 0x9601 - libgnomekbdui.so.7 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2fa06 g_type_create_instance libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x147a8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x16261 g_object_newv libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x168ac g_object_new libgobject-2.0.so.0 -
:1ece4eb2f0a1af4529ae9f5bd8b2104601164a51 0x9969 gkbd_configuration_get libgnomekbdui.so.7 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x5e90 ffi_call_unix64 libffi.so.5 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x58a0 ffi_call libffi.so.5 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x22ead - libgjs.so.0 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x243d3 - libgjs.so.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd781e - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xc1840 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd56bf - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd7632 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xab75d - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xcb946 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd56bf - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd7632 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xab75d - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xcb946 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd56bf - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd7632 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xab75d - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xcb946 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd56bf - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd7632 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xab75d - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xcb946 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd56bf - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd63a3 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0x4d96f JS_EvaluateUCScriptForPrincipals libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0x4dc62 JS_EvaluateUCScript libmozjs185.so.1.0 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x12da7 gjs_context_eval libgjs.so.0 -
:fb339102a1f8532c110ac97acad8b87527bd1cfb 0x2c39f - libgnome-shell.so -
:a61bbdac22f47f204bdddbb1885afee8d400cfb3 0x363e0 meta_plugin_manager_initialize libmutter.so.0 -
:a61bbdac22f47f204bdddbb1885afee8d400cfb3 0x33652 meta_compositor_manage_screen libmutter.so.0 -
:a61bbdac22f47f204bdddbb1885afee8d400cfb3 0x493e3 meta_display_open libmutter.so.0 -
:a61bbdac22f47f204bdddbb1885afee8d400cfb3 0x5409d meta_run libmutter.so.0 -
:05792ba8e5037b0a798ce87d3331dd3d455a5624 0x1c47 main [exe] -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=55
:HOSTNAME=thinktablet
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/username/keyring-gG4w20
:IMSETTINGS_MODULE=none
:USER=username
:USERNAME=username
:MAIL=/var/spool/mail/username
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/username
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=15918
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/username
:SHLVL=1
:LOGNAME=username
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-jL6di6P3tB,guid=920b89e64d56dce1fdb7573c00001872
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/username
:DISPLAY=:1
:XAUTHORITY=/var/run/gdm/auth-for-username-3Jh3eZ/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/15923,unix/unix:/tmp/.ICE-unix/15923
:GPG_AGENT_INFO=/run/user/username/keyring-gG4w20/gpg:0:1
:SSH_AUTH_SOCK=/run/user/username/keyring-gG4w20/ssh
:LC_TIME=en_US.utf8
:LC_NUMERIC=en_US.utf8
:LC_MONETARY=en_US.utf8
:LC_MEASUREMENT=en_US.utf8
:DESKTOP_AUTOSTART_ID=107abcea201135255d13443770833521400000159230000

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 126024               processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       126024               126024               signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/korneta/.xsession-errors
:pos:	2394
:flags:	0102002
:2:/home/korneta/.xsession-errors
:pos:	2394
:flags:	0102002
:3:pipe:[119535]
:pos:	0
:flags:	04000
:4:pipe:[119535]
:pos:	0
:flags:	01
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[119536]
:pos:	0
:flags:	02004002
:7:socket:[120058]
:pos:	0
:flags:	02004002
:8:socket:[119548]
:pos:	0
:flags:	02004002
:9:/dev/dri/card0
:pos:	0
:flags:	0100002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[121946]
:pos:	0
:flags:	02004002
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:15:socket:[120093]
:pos:	0
:flags:	02004002
:16:socket:[120095]
:pos:	0
:flags:	02004002
:17:pipe:[120097]
:pos:	0
:flags:	02004000
:18:pipe:[120097]
:pos:	0
:flags:	02004001
:19:socket:[119598]
:pos:	0
:flags:	02004002
:20:socket:[119600]
:pos:	0
:flags:	02000002
:21:/dev/urandom
:pos:	0
:flags:	02100000
:22:socket:[122121]
:pos:	0
:flags:	02000002
:23:anon_inode:inotify
:pos:	0
:flags:	02004000
:24:/tmp/ffiKU03mM (deleted)
:pos:	0
:flags:	0100002
:25:socket:[122972]
:pos:	0
:flags:	02004002
:26:socket:[120357]
:pos:	0
:flags:	02004002
:27:socket:[122181]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: af36c718-f256-4dd2-82f0-3827030c2bf0
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5188.10
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-3320M CPU @ 2.60GHz
:CPU Stepping: 9
:CPU Family: 6
:CPU Model Num: 58
:Number of CPUs: 4
:CPU Speed: 2601
:System Memory: 15775
:System Swap: 8189
:Vendor: LENOVO
:System: 3434CTO ThinkPad X230 Tablet
:Form factor: Notebook
:Kernel: 3.5.0-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7765:6058:8707) pci, None, PCI/ISA, Panther Point LPC Controller
:(32902:358:6058:8707) pci, i915, VIDEO, N/A
:(32902:7729:6058:8707) pci, xhci_hcd, USB, Panther Point USB xHCI Host Controller
:(32902:7696:6058:8707) pci, pcieport, PCI/PCI, Panther Point PCI Express Root Port 1
:(32902:7698:6058:8707) pci, pcieport, PCI/PCI, Panther Point PCI Express Root Port 2
:(32902:7712:6058:8707) pci, snd_hda_intel, MULTIMEDIA, Panther Point High Definition Audio Controller
:(32902:5378:6058:8691) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7700:6058:8707) pci, pcieport, PCI/PCI, Panther Point PCI Express Root Port 3
:(32902:7714:6058:8707) pci, i801_smbus, SERIAL, Panther Point SMBus Controller
:(4480:59426:6058:8707) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(32902:2193:32902:16930) pci, iwlwifi, NETWORK, N/A
:(32902:7683:6058:8707) pci, ahci, STORAGE, Panther Point 6 port SATA AHCI Controller
:(32902:7725:6058:8707) pci, ehci_hcd, USB, Panther Point USB Enhanced Host Controller #2
:(32902:7718:6058:8707) pci, ehci_hcd, USB, Panther Point USB Enhanced Host Controller #1
:(32902:340:6058:8707) pci, agpgart-intel, HOST/PCI, Ivy Bridge DRAM Controller
:(32902:7738:6058:8707) pci, mei, SIMPLE, Panther Point MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 6544091 5598252 5532727 1638400 1524121 1524121
:/dev/sda1 /boot ext4 1024 1024 508644 422347 396747 128016 127658 127658
:/dev/mapper/luks-d51ff90f-fb9d-4387-862a-22d68d704fc1 /home ext4 4096 4096 20490402 19234126 18207861 5136384 5117511 5117511
:
Comment 1 aten 2012-08-07 18:53:22 EDT
Created attachment 602874 [details]
File: backtrace
Comment 2 aten 2012-08-07 18:53:26 EDT
Created attachment 602875 [details]
File: maps
Comment 3 aten 2012-08-07 18:53:29 EDT
Created attachment 602876 [details]
File: dso_list
Comment 4 aten 2012-08-07 18:53:31 EDT
Created attachment 602877 [details]
File: var_log_messages
Comment 5 Fedora End Of Life 2013-07-03 21:54:46 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 02:57:13 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.